# Retrieve Booking Details

Retrieves the details of a specific booking by its Booking Id.

Endpoint: GET /retrieve
Version: 1.0.0

## Query parameters:

  - `booking_id` (integer, required)
    Booking Id needed for the retrieval request. Type: Integer, Example: 7579.

## Header parameters:

  - `authorization` (string, required)
    Authorization header with HMAC signature. Format: API-Key={key},Signature={hmac_signature},Timestamp={unix_timestamp}

## Response 200 fields (application/json):

  - `booking_id` (integer, required)
    Booking ID

  - `status` (string, required)
    Status of the booking

  - `guest_contact_number` (string, required)
    Guest contact number

  - `email` (string, required)
    Email of the guest

  - `check_in` (string, required)
    Check-in Date

  - `check_out` (string, required)
    Check-out Date

  - `cancel_policy` (boolean, required)
    Whether the booking has a cancel policy

  - `penalty_date` (any, required)
    Penalty date for booking cancelation

  - `price` (object, required)
    Pricing information

  - `price.total_amount` (string, required)
    Total amount for the booking

  - `price.currency` (string, required)
    Currency

  - `price.payment_status` (string, required)
    Payment Status of the booking

  - `package` (boolean, required)
    Whether this is a package rate. Package rates must be sold together with a transport service (ex. flight, rental car, train, etc.)

  - `created_at` (string, required)
    Creation date

  - `custom_fields` (any)
    Dynamic custom fields can be added up to 10 fields in type string. These fields can be added for reconciliation purposes and they will be added to the invoices (ex. Order Number: 37484).

  - `rooms` (array)
    Information about the booked Room

  - `rooms.room_id` (integer, required)
    Room ID

  - `rooms.lead_name` (string, required)
    First name of the lead

  - `rooms.lead_last_name` (string, required)
    Last name of the lead

  - `rooms.special_requests` (string, required)
    Special Request while booking

  - `rooms.room_name` (string, required)
    Name of the room

  - `rooms.bed_type` (string, required)
    Type of the bed

  - `rooms.treatments` (array)
    Treatments

  - `rooms.treatments.id` (string, required)
    Treatment ID

  - `rooms.treatments.name` (any, required)
    Treatment ID

  - `rooms.number_of_adults` (integer, required)
    Number of the adults

  - `rooms.child_ages` (array, required)
    Child ages

## Response 401 fields (application/json):

  - `detail` (string, required)

## Response 403 fields (application/json):

  - `detail` (string, required)

## Response 404 fields (application/json):

  - `status` (string, required)
    Status of the booking.
    Enum: "OK", "NOT AVAILABLE", "PRICE CHANGE", "POLICY CHANGE"

  - `message` (string, required)
    The booking could not be found

## Response 422 fields (application/json):

  - `detail` (string, required)


